if (top.HlpSys === undefined) {
    top.HlpSys = new Object();
}



top.HlpSys = {
    config : {
        frame: "Autodesk online help",
        locale: "en_US"
    },

    contentTree : null,

    contextId : {
        data : {
            doc : top.document,
            contextIds : new Array(),
            providers : new Array(),
            includedFiles : new Array(),
            openId : null
        },

        includeFile : function(href) {
            this.data.includedFiles[href] = {};

            var body = this.data.doc.getElementsByTagName("head")[0];
            if (body) {
                var script = this.data.doc.createElement('script');
                script.src = href;
                script.type = 'text/javascript';
                body.appendChild(script);
            }
        },

        openFile : function () {
            if (this.data.openId) {
                var result = this.data.contextIds[this.data.openId];
                if (result) {
                    this.data.openId = null;
                    window.location.replace(result, "content");
                }
            }
        },

        appendData : function(list) {
            for (var i in list) {
                this.data.contextIds[i] = list[i];
            }
            this.openFile();
        },

        registerProvider : function(provider) {
            if (typeof provider == "function") {
                this.data.providers.push(provider);
            }
        },

        resolveContextId : function(id) {
            this.data.openId = id;

            if (this.data.contextIds[id]) {
                setTimeout(this.openFile, 1);
            } else {
                for (var i = 0; i < this.data.providers.length; i++) {
                    var file = this.data.providers[i](id);
                    if (file != null) {
                        if (!this.data.includedFiles[file]) {
                            this.includeFile(file);
                        }
                    }
                }
            }
        }
    },

    checkURLParams : function() {
        var parametersRetriever = new UrlParametersRetriever();
        var url = parametersRetriever.getParameter("url");
        var topicNumber = parametersRetriever.getParameter("topicNumber");
        var contextId = parametersRetriever.getParameter("contextId");

        if (url && topicNumber) {
            var retries = 0;
            function expandInToc() {
                if (top.HlpSys.contentTree) {
                    top.HlpSys.contentTree.expandTOCNode(topicNumber)
                } else if (retries < 20) {
                    retries++;
                    setTimeout(expandInToc, 100);
                }
            }
            setTimeout(expandInToc, 100);
            document.all.content.src = url, "content";
    	    return true;
        } else if (contextId) {
            top.HlpSys.contextId.resolveContextId(contextId);
    	    return true;
        }
	    return false;
    }
};


function UrlParametersRetriever() {
    var args = new Object();
    var query = window.location.search.substring(1);     // Get query string
    var pairs = query.split(",");                 // Break at comma
    for (var i = 0; i < pairs.length; i++) {
        var pos = pairs[i].indexOf('=');          // Look for "name=value"
        if (pos == -1) continue;                  // If not found, skip
        var argname = pairs[i].substring(0, pos);  // Extract the name
        var value = pairs[i].substring(pos + 1);    // Extract the value
        args[argname] = unescape(value);
    }

    this.getParameter = function(name) {
        return args[name];
    }
}

AddOnLoadFunction(top.HlpSys.checkURLParams);
