var searchResultProvider = new SearchResultsProvider("", "The Mudbox SDK Programmer's Guide");
searchResultProvider.setTopicInfoList([{"title":"The Mudbox SDK Programmer\'s Guide",
"href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm",
"description":"",
"ancestors":[]},
{"title":"About the Mudbox SDK",
"href":"./files/GUID-651FF158-2E26-4286-8BAB-7CBEB65D029-1.htm",
"description":"This is the documentation for the Mudbox Software Development Kit (SDK). The Mudbox SDK is a set of C++ header and library files that can be used for writing plug-ins for Mudbox.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Contents of the SDK",
"href":"./files/GUID-37E0DD8E-C25C-4DC4-85FD-850299AE11E-2.htm",
"description":"The Mudbox SDK is broken up into the following sub-folders:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "About the Mudbox SDK","href":"./files/GUID-651FF158-2E26-4286-8BAB-7CBEB65D029-1.htm"}]},
{"title":"Mudbox SDK Requirements",
"href":"./files/GUID-9FCA20A7-DBD9-4BC9-B36F-45CA6E5A93C-3.htm",
"description":"These are the requirements of the Mudbox SDK.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "About the Mudbox SDK","href":"./files/GUID-651FF158-2E26-4286-8BAB-7CBEB65D029-1.htm"}]},
{"title":"Samples",
"href":"./files/GUID-2EEE8CEC-0867-44C2-A8BA-5357576278F-4.htm",
"description":"The Mudbox SDK Comes with the following plug-ins in the examples folder:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "About the Mudbox SDK","href":"./files/GUID-651FF158-2E26-4286-8BAB-7CBEB65D029-1.htm"}]},
{"title":"Kinds of Plug-ins",
"href":"./files/GUID-73D9C185-7038-4715-8179-51F2779E8AB-5.htm",
"description":"Mudbox provides direct support for the following kinds of plug-ins:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "About the Mudbox SDK","href":"./files/GUID-651FF158-2E26-4286-8BAB-7CBEB65D029-1.htm"}]},
{"title":"Application-Level Functionality",
"href":"./files/GUID-5722A26F-615C-40F6-9907-E9D3E9ECAF7-6.htm",
"description":"The following classes are responsible for accessing application-level functionality using the Mudbox SDK, such as preferences and the scene graph root node:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Menu Customization",
"href":"./files/GUID-1B404509-D245-4070-B3F9-AE33F7FDB08-7.htm",
"description":"Using the following functions from the Kernel class it is possible to add new menu items:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Application-Level Functionality","href":"./files/GUID-5722A26F-615C-40F6-9907-E9D3E9ECAF7-6.htm"}]},
{"title":"Logging and Debugging Functions",
"href":"./files/GUID-0465DFA9-A355-4D83-96BE-4D953DD9B8F-8.htm",
"description":"The following functions can be used to log plug-in data, and can be useful as debugging aids. The log can be viewed inside Mudbox in the \"log\" view, or by reading the mudbox.log file written by the application. On Windows this is located in the /Logs/ sub-folder of your application directory.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Application-Level Functionality","href":"./files/GUID-5722A26F-615C-40F6-9907-E9D3E9ECAF7-6.htm"}]},
{"title":"Displaying Messages and Progress Notifications",
"href":"./files/GUID-094D5E15-B615-48AD-A0B0-034699C4D5D-9.htm",
"description":"There are several mechanisms for displaying messages and notifications to the user. The following methods and macros can be used to display text messages:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Application-Level Functionality","href":"./files/GUID-5722A26F-615C-40F6-9907-E9D3E9ECAF7-6.htm"}]},
{"title":"Mudbox Scenes",
"href":"./files/GUID-C3A4C576-0BF0-49B3-8A40-00496E13122-10.htm",
"description":"The Mudbox scene is organized as a tree of objects that derive from the TreeNode object. The primary scene elements involved in the visual representation of the scene derive from GroupNode. These are:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Nodes",
"href":"./files/GUID-3DDDC7F6-E9DA-4155-838D-AF7C6B23FE1-11.htm",
"description":"Almost every class in the Mudbox SDK, including plug-ins, derives directly or indirectly from the Node class. One of the primary roles of the nodes is to expose the properties of an object to the Mudbox application as attributes.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mudbox Scenes","href":"./files/GUID-C3A4C576-0BF0-49B3-8A40-00496E13122-10.htm"}]},
{"title":"Attributes",
"href":"./files/GUID-61680714-C474-422F-957C-7B71826BBD0-12.htm",
"description":"An attribute (Attribute) is used to associate a data value (e.g. float, integer, string, etc.) with a Node, which can be displayed in the Mudbox user interace and modified by the user (if Attribute::Const() returns false). Attributes associated with a plug-in can be saved and loaded with a scene by calling the Attribute::Serialize() method for each attribute, from within the plug-in\'s override of the Node::Serialize() function. For more information see the topic Serializing Plug-in Data.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mudbox Scenes","href":"./files/GUID-C3A4C576-0BF0-49B3-8A40-00496E13122-10.htm"}]},
{"title":"Scene Graph",
"href":"./files/GUID-86B2C2C8-3742-4D7E-B850-6F7005D79B2-13.htm",
"description":"The scene manages a child-parent hierarchy of all TreeNode derived objects in the scene. The root node is the Scene object itself, which is derived from TreeNode. This hierarchy is a directed acyclic graph (DAG) - or in other words, a tree.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mudbox Scenes","href":"./files/GUID-C3A4C576-0BF0-49B3-8A40-00496E13122-10.htm"}]},
{"title":"Transformations and Coordinate Space Conversions",
"href":"./files/GUID-877BDAE0-F6E6-4602-BA98-70F006D5A5F-14.htm",
"description":"In the scene hierarchy, the position, rotation, and scale of a GroupNode object (e.g. Camera, Geometry, or Light) are determined by a parent node which is a Transformation object. This object can be accessed via the method GroupNode::Transformation.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mudbox Scenes","href":"./files/GUID-C3A4C576-0BF0-49B3-8A40-00496E13122-10.htm"}]},
{"title":"Traversing the Scene Graph",
"href":"./files/GUID-53A22844-EE31-4F4B-B64F-E86B0DC9B31-15.htm",
"description":"A Scene object provides functions for accessing specific scene elements such as cameras, lights, and geometry. Because the Scene derives from TreeNode, it can be used to enumerate all of the objects in the scene including transformations.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mudbox Scenes","href":"./files/GUID-C3A4C576-0BF0-49B3-8A40-00496E13122-10.htm"}]},
{"title":"Rendering",
"href":"./files/GUID-5E57CDA0-7F57-4DF7-900B-5618EA2E560-16.htm",
"description":"Rendering is performed in two stages:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Geometry Processing",
"href":"./files/GUID-4B897E41-7135-4FF8-BDB8-1F8FB617D63-17.htm",
"description":"By default the geometry processing phase is referred to as rendering, though technically rendering is both geometry processing and shading.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Rendering","href":"./files/GUID-5E57CDA0-7F57-4DF7-900B-5618EA2E560-16.htm"}]},
{"title":"Shading",
"href":"./files/GUID-8E291611-9754-4C01-85EB-4DCD30ACC90-18.htm",
"description":"Shading is performed by a plug-in which derives from the class Material. The shader is responsible for setting up the OpenGL pipeline for surface shading. Mudbox currently uses two material plug-ins. The first plug-in is a general solution which can load any CgFX material file using nVidia\'s Cg toolkit. Mudbox has its own CgFX file as a reference supporting the following effects:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Rendering","href":"./files/GUID-5E57CDA0-7F57-4DF7-900B-5618EA2E560-16.htm"}]},
{"title":"Mesh and Topology",
"href":"./files/GUID-AB284533-1D41-4034-A9EC-F34A453FE1E-19.htm",
"description":"The vertex and face data of an object in Mudbox is stored in a Mesh object. Mudbox meshes can contain three sided polygons (tris), four sided polygons (quads) or a mix.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Subdivision",
"href":"./files/GUID-78DE92E0-35DB-4563-BA91-1A22DC3A374-20.htm",
"description":"Each subdivision level (SubdivisionLevel) is a mesh that represents the same surface with different approximation. Subdivision levels are child nodes of a Geometry object. An object can have multiple levels and exactly one is active at a time. Each subdivision level is a normal mesh, stored as a relative difference to the previous level. When a level is modified, the upper level vertices will have the positions calculated from the modified one plus the relative differences from the previous modifications of the upper level. Until the level is modified the difference is (0,0,0) in all vertices. When a level becomes active these relative positions are transformed into absolute ones so that brushes can work on the level as a regular mesh. When deactivating a level the details are transferred to the new active level and positions are changed back to relative.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mesh and Topology","href":"./files/GUID-AB284533-1D41-4034-A9EC-F34A453FE1E-19.htm"}]},
{"title":"Smoothing and Limit Surfaces",
"href":"./files/GUID-047C7E42-7980-4A3B-8C74-2308D0B8F84-21.htm",
"description":"The limit surface of a mesh is computed by a SurfaceSmoother plug-in. Mudbox uses this object to obtain information about the limit surface without actually calculating additional subdivision levels for the meshes. This limit surface is used during texture extraction.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mesh and Topology","href":"./files/GUID-AB284533-1D41-4034-A9EC-F34A453FE1E-19.htm"}]},
{"title":"Level of Detail (LOD)",
"href":"./files/GUID-B559721B-3703-46D7-A70B-05DDF99F7A0-22.htm",
"description":"The level of detail algorithm decreases the complexity of a 3D object representation as it moves away from the viewer or according other metrics such as object importance, eye-space speed or position.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mesh and Topology","href":"./files/GUID-AB284533-1D41-4034-A9EC-F34A453FE1E-19.htm"}]},
{"title":"Mesh Division",
"href":"./files/GUID-A25A3FD0-B999-457E-884D-7F91939D34B-23.htm",
"description":"The MeshGrid class is an interface for plug-ins that divide the surface of a mesh into grids. A grid is a collection of quad faces over the surface in a grid pattern with the size of 1x1, 2x2, 4x4, 8x8, etc.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mesh and Topology","href":"./files/GUID-AB284533-1D41-4034-A9EC-F34A453FE1E-19.htm"},{"title": "Level of Detail (LOD)","href":"./files/GUID-B559721B-3703-46D7-A70B-05DDF99F7A0-22.htm"}]},
{"title":"Picking",
"href":"./files/GUID-87B90A2A-0593-428A-995F-6F77449CA81-24.htm",
"description":"Picking is the calculation of the intersection of a line and a mesh. Mudbox uses different solutions in the following cases:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Mesh and Topology","href":"./files/GUID-AB284533-1D41-4034-A9EC-F34A453FE1E-19.htm"}]},
{"title":"Materials, Textures, and Images",
"href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm",
"description":"This section describes working with materials, textures, and images.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Materials",
"href":"./files/GUID-1DDDC799-4994-4A41-8404-356E5559820-26.htm",
"description":"The Material class describes a material of a geometry including its surface colors, transparency, and texture information.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Materials, Textures, and Images","href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm"}]},
{"title":"Writing Material Plug-ins",
"href":"./files/GUID-C4BEBEF3-F4CF-4C28-9A55-18608F5B24C-27.htm",
"description":"To write a material plug-in you would derive the class from the Material class. The parameters of the material, if they are to support editing by the user, should be stored in attributes. You need to override the following methods of Material:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Materials, Textures, and Images","href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm"},{"title": "Materials","href":"./files/GUID-1DDDC799-4994-4A41-8404-356E5559820-26.htm"}]},
{"title":"Textures",
"href":"./files/GUID-632A96DD-546B-4956-900F-4F86EF0DD60-28.htm",
"description":"A texture (Texture) is a 2D array of pixel values like an Image. Textures can be the target of OpenGL texture operations. A texture also supports undo and redo operations.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Materials, Textures, and Images","href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm"}]},
{"title":"Sampling Texture Values",
"href":"./files/GUID-3425EEE1-0AC1-4268-BAB6-D48DE249099-29.htm",
"description":"The following are the steps involved in accessing a specific texture value at a point on the surface:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Materials, Textures, and Images","href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm"}]},
{"title":"Render to Texture and Multi-Target Rendering",
"href":"./files/GUID-EAB4EBD4-6AE3-4F09-8AF7-F10DA70B6AF-30.htm",
"description":"A Mudbox scene can be rendered to a texture using render targets (RenderTarget). A render target is an abstraction of an OpenGL renderbuffer object. For more information see the OpenGL documentation (http://www.opengl.org/documentation/).",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Materials, Textures, and Images","href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm"}]},
{"title":"Images",
"href":"./files/GUID-33FF0EA7-E919-4D22-A12A-03B24DB052D-31.htm",
"description":"The primary interface to images in Mudbox is the Image class. There are three differend kinds of images;",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Materials, Textures, and Images","href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm"}]},
{"title":"Texture Extraction",
"href":"./files/GUID-02FA7DD3-6C7A-4C6A-B7BC-824765AE1CB-32.htm",
"description":"Texture extraction is a technique of extracting high-resolution detail from the sculpted mesh as a bitmap image (the map).",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Materials, Textures, and Images","href":"./files/GUID-F6F22CB8-22BC-40CC-95DD-FEA0A8395FD-25.htm"}]},
{"title":"Sculpting and Brushes",
"href":"./files/GUID-2D5459EC-E29C-4073-929D-17DF5664F9A-33.htm",
"description":"A sculpting brush is implemented by the BrushOperation class which derives directly from Node. A BrushOperation holds the properties of the brush tools like size, strength, direction, falloff, etc.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Stamps and Stencils",
"href":"./files/GUID-53C51112-D44B-411D-8620-4C22D7EDD82-34.htm",
"description":"A stamp is a bitmap image (Image) containing float values that are used as a mask for a BrushOperation. When sculpting the stamp is transformed to the picked point and aligned to the surface normal at that point. The effect factor is calculated as the surface point transformed into this stamp space selecting the pixel on the stamp image.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Sculpting and Brushes","href":"./files/GUID-2D5459EC-E29C-4073-929D-17DF5664F9A-33.htm"}]},
{"title":"Writing Brush Plug-ins",
"href":"./files/GUID-25ADDDF9-CC69-45C8-BE65-189780E04C8-35.htm",
"description":"Brush plug-ins are written by writing classes which derive from BrushOperation. Most virtual functions of BrushOperation have default implementations, except for the following member functions, which must have concrete implementations provided:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Sculpting and Brushes","href":"./files/GUID-2D5459EC-E29C-4073-929D-17DF5664F9A-33.htm"}]},
{"title":"Layers and Viewport Filters",
"href":"./files/GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609-36.htm",
"description":"Layers are used for organizing objects and transparency values assigned to each element. There are two kinds of layers: 2D layers, derived from Layer, and 3D (sculpt) layers derived from LayerMeshData.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"2D Layers",
"href":"./files/GUID-ED000B7C-62E7-471D-BCF2-9AC1176CECB-37.htm",
"description":"A 2D layer (Layer) is a simple image map. On a 2D layer one can define blending functions, set visibility and transparency. 2D layers are used for texture layers and screen layers. 2D layers can be serialized from/to plain image files.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Layers and Viewport Filters","href":"./files/GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609-36.htm"}]},
{"title":"Layer Containers",
"href":"./files/GUID-E78ABC88-DDC3-4CDE-B65A-98B361DE771-38.htm",
"description":"Layers may be grouped in layer containers (LayerContainer). Each Layer belongs to a single LayerContainer, accessible via the method Layer::Container. A layer container maintains a hierarchy of parent-child relationships between layers.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Layers and Viewport Filters","href":"./files/GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609-36.htm"}]},
{"title":"Sculpt Layers",
"href":"./files/GUID-BAEE3123-BE21-47F5-B868-24B959A86DC-39.htm",
"description":"A sculpt layer (LayerMeshData) or 3D layer, is a collection of vertex deltas. For each stored entry, a 3D vector and an integer are stored. The 3D vector is the delta value of the vertex in the layer, and the stored integer is the index of the vertex. The elements are ordered by their vertex index.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Layers and Viewport Filters","href":"./files/GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609-36.htm"}]},
{"title":"Viewports",
"href":"./files/GUID-2A8A44E4-4E5E-4166-A2FA-24EA9BE7368-40.htm",
"description":"A ViewPort represents the 3D viewport where Mudbox renders the scene. The ViewPort derives from LayerContainer. Note that a ViewPortFilter derives from a Layer, so the primary role of the ViewPort is to manage ViewPortFilter effects.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Layers and Viewport Filters","href":"./files/GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609-36.htm"}]},
{"title":"Viewport Filters",
"href":"./files/GUID-8FB04A74-D211-4CA8-A5EF-C06FC92F07E-41.htm",
"description":"Viewport filters (ViewPortFilter) are post-processing effects applied to the viewport that derive from Layer. Some examples of viewport filters are:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Layers and Viewport Filters","href":"./files/GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609-36.htm"}]},
{"title":"Event Handling",
"href":"./files/GUID-FAAFF458-4B04-474F-BCF8-2D0FAD11A92-42.htm",
"description":"There are several different kinds of events: node events, file events, and system events. System events are node events whose source is the Kernel singleton.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"File Event Handling",
"href":"./files/GUID-88777867-B1AC-4AC0-B2B9-FE6F6AD82A7-43.htm",
"description":"The information associated with a file event is stored in an instance of FileEvent. The different kinds of file events are represented by the class enumeration FileEvent::m_eType. The list of file events which can be handled or triggered are:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Event Handling","href":"./files/GUID-FAAFF458-4B04-474F-BCF8-2D0FAD11A92-42.htm"}]},
{"title":"Writing a File Event Handler Plug-in",
"href":"./files/GUID-7370E817-7FAD-4D35-9550-47073D3A056-44.htm",
"description":"To write a file event handler plug-in you have to create a singleton class that derives from Node, and overrides the method Node::OnNodeEvent(). This class would typically have an attribute of type aptr<FileEvent> which acts as an event receiver. You would next connect the attribute to the Kernel::m_pFileEvent transmitter. For example:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Event Handling","href":"./files/GUID-FAAFF458-4B04-474F-BCF8-2D0FAD11A92-42.htm"},{"title": "File Event Handling","href":"./files/GUID-88777867-B1AC-4AC0-B2B9-FE6F6AD82A7-43.htm"}]},
{"title":"Node Events",
"href":"./files/GUID-170F33EE-3E74-40AB-B9B3-647E0FD5855-45.htm",
"description":"Node events occur when a change happens to a node, or its associated data (Attribute).The different types of node events are identified by the enumeration: NodeEventType. The node events are:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Event Handling","href":"./files/GUID-FAAFF458-4B04-474F-BCF8-2D0FAD11A92-42.htm"}]},
{"title":"System Events",
"href":"./files/GUID-3E370909-9C8F-4174-BE26-7842F2CDF87-46.htm",
"description":"The following are system events in the Kernel object which can be monitored:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Event Handling","href":"./files/GUID-FAAFF458-4B04-474F-BCF8-2D0FAD11A92-42.htm"}]},
{"title":"Miscellaneous Utilities",
"href":"./files/GUID-FCE5416C-9A01-40E2-9316-08E5E5A5D73-47.htm",
"description":"Statistics - Holds useful information about the current session of Mudbox. Timer - Helps finding performance issues. See the MB_TIMER macro for more details. FileEvent - Holds information about the",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Math and Geometry Utilities",
"href":"./files/GUID-052A274E-C238-4308-8AC4-44A5AC9BB38-48.htm",
"description":"The following classes are provided by the Mudbox SDK for aid in performing geometric and numerical computations:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Miscellaneous Utilities","href":"./files/GUID-FCE5416C-9A01-40E2-9316-08E5E5A5D73-47.htm"}]},
{"title":"Writing Plug-ins",
"href":"./files/GUID-A03466A3-413E-4D55-A137-35234539F98-49.htm",
"description":"This topic describes the basic information related to writing plug-ins.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"}]},
{"title":"Run-Time Type Information (RTTI)",
"href":"./files/GUID-BEFC2483-F8FB-41B2-801E-A8C5A7EE567-50.htm",
"description":"Mudbox uses its own run-time type information system. An instance of the class ClassDesc is assigned to each class derived from Node and holds information such as:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Writing Plug-ins","href":"./files/GUID-A03466A3-413E-4D55-A137-35234539F98-49.htm"}]},
{"title":"Instantiating Classes and Plug-ins",
"href":"./files/GUID-1DD5EC9C-9DDF-421F-8853-9EFB8749D0A-51.htm",
"description":"Many classes derived from Node, including plug-ins, do not provide a public constructor. Instead these classes are supposed be instantiated using the template global function CreateInstance().",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Writing Plug-ins","href":"./files/GUID-A03466A3-413E-4D55-A137-35234539F98-49.htm"}]},
{"title":"Mesh Importer and Exporter Plug-ins",
"href":"./files/GUID-8AA0BA36-AEC4-4E5F-AD42-EC056E11715-52.htm",
"description":"Mesh importer and exporter plug-ins derive from one of the following classes:",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Writing Plug-ins","href":"./files/GUID-A03466A3-413E-4D55-A137-35234539F98-49.htm"}]},
{"title":"Serializing Plug-in Data",
"href":"./files/GUID-D99AC5B5-59F0-45DB-9D76-EDFB995169A-53.htm",
"description":"In a Mudbox plug-in you can load or save plug-in data with the scene by overloading the Node::Serialize() method. Mudbox will call Node::Serialize() method with an initialized Stream object. You can then query Stream::IsStoring() to implement the saving or loading application logic, depending on whether the return value is true or false respectively.",
"ancestors":[{"title": "The Mudbox SDK Programmer\'s Guide","href":"./files/GUID-ADDDF686-12F9-4603-8E75-9612AC943AB-0.htm"},{"title": "Writing Plug-ins","href":"./files/GUID-A03466A3-413E-4D55-A137-35234539F98-49.htm"}]},
{"title":"C++ Reference: ConvolutionKernel.h File Reference",
"href":"cpp_ref/_convolution_kernel_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ConvolutionKernel.h",
"href":"cpp_ref/_convolution_kernel_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CurveBrush/CurveCreator.cpp",
"href":"cpp_ref/_curve_brush_2_curve_creator_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CurveBrush/CurveCreator.h",
"href":"cpp_ref/_curve_brush_2_curve_creator_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CurveBrush/CurveDisplayer.cpp",
"href":"cpp_ref/_curve_brush_2_curve_displayer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CurveBrush/CurveDisplayer.h",
"href":"cpp_ref/_curve_brush_2_curve_displayer_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FileEventHandler/FileEventHandler.cpp",
"href":"cpp_ref/_file_event_handler_2_file_event_handler_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FileEventHandler/FileEventHandler.h",
"href":"cpp_ref/_file_event_handler_2_file_event_handler_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FixedFunctionMaterial/FixedFunctionMaterial.cpp",
"href":"cpp_ref/_fixed_function_material_2_fixed_function_material_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FixedFunctionMaterial/FixedFunctionMaterial.h",
"href":"cpp_ref/_fixed_function_material_2_fixed_function_material_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FrameCounter/FrameCounter.cpp",
"href":"cpp_ref/_frame_counter_2_frame_counter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FrameCounter/FrameCounter.h",
"href":"cpp_ref/_frame_counter_2_frame_counter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageFilter.h File Reference",
"href":"cpp_ref/_image_filter_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageFilter.h",
"href":"cpp_ref/_image_filter_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImmediateModeRenderer/ImmediateModeRenderer.cpp",
"href":"cpp_ref/_immediate_mode_renderer_2_immediate_mode_renderer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImmediateModeRenderer/ImmediateModeRenderer.h",
"href":"cpp_ref/_immediate_mode_renderer_2_immediate_mode_renderer_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MenuMessenger/MenuMessenger.cpp",
"href":"cpp_ref/_menu_messenger_2_menu_messenger_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MenuMessenger/MenuMessenger.h",
"href":"cpp_ref/_menu_messenger_2_menu_messenger_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshDisplace/displacer.cpp",
"href":"cpp_ref/_mesh_displace_2displacer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshDisplace/displacer.h",
"href":"cpp_ref/_mesh_displace_2displacer_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MudBoxGL.h File Reference",
"href":"cpp_ref/_mud_box_g_l_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MudBoxGL.h",
"href":"cpp_ref/_mud_box_g_l_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MudBoxX11Clean.h File Reference",
"href":"cpp_ref/_mud_box_x11_clean_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MudBoxX11Clean.h",
"href":"cpp_ref/_mud_box_x11_clean_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PLYImport/Importer.cpp",
"href":"cpp_ref/_p_l_y_import_2_importer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PLYImport/rply.h",
"href":"cpp_ref/_p_l_y_import_2rply_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/PtexLayout.cpp",
"href":"cpp_ref/_ptex_extractor_2_ptex_layout_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/PtexLayout.h",
"href":"cpp_ref/_ptex_extractor_2_ptex_layout_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/PtexLibrary.cpp",
"href":"cpp_ref/_ptex_extractor_2_ptex_library_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/PtexPaintExporter.cpp",
"href":"cpp_ref/_ptex_extractor_2_ptex_paint_exporter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/PtexPaintExporter.h",
"href":"cpp_ref/_ptex_extractor_2_ptex_paint_exporter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/PtexUtilizer.cpp",
"href":"cpp_ref/_ptex_extractor_2_ptex_utilizer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/PtexUtilizer.h",
"href":"cpp_ref/_ptex_extractor_2_ptex_utilizer_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexCache.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_cache_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexCache.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_cache_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexDict.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_dict_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexFilterContext.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_filter_context_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexFilterKernel.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_filter_kernel_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexFilterKernel.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_filter_kernel_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexFilters.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_filters_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexHalf.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_half_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexHalf.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_half_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexHashMap.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_hash_map_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexIO.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_i_o_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexInt.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_int_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexMitchellFilter.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_mitchell_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexMitchellFilter.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_mitchell_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexMutex.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_mutex_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexPlatform.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_platform_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexReader.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_reader_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexReader.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_reader_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexSeparableFilter.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_separable_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexSeparableFilter.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_separable_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexSeparableKernel.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_separable_kernel_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexSeparableKernel.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_separable_kernel_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexTriangleFilter.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_triangle_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexTriangleFilter.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_triangle_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexTriangleKernel.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_triangle_kernel_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexTriangleKernel.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_triangle_kernel_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexUtils.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_utils_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexUtils.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_utils_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexWriter.cpp",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_writer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/PtexWriter.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptex_writer_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/Ptexture.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2_ptexture_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/zlib/zconf.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2zlib_2zconf_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexExtractor/ptex/zlib/zlib.h",
"href":"cpp_ref/_ptex_extractor_2ptex_2zlib_2zlib_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/PtexImporter.cpp",
"href":"cpp_ref/_ptex_importer_2_ptex_importer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/PtexImporter.h",
"href":"cpp_ref/_ptex_importer_2_ptex_importer_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/PtexLibrary.cpp",
"href":"cpp_ref/_ptex_importer_2_ptex_library_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexCache.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_cache_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexCache.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_cache_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexDict.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_dict_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexFilterContext.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_filter_context_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexFilterKernel.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_filter_kernel_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexFilterKernel.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_filter_kernel_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexFilters.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_filters_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexHalf.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_half_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexHalf.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_half_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexHashMap.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_hash_map_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexIO.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_i_o_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexInt.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_int_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexMitchellFilter.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_mitchell_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexMitchellFilter.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_mitchell_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexMutex.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_mutex_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexPlatform.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_platform_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexReader.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_reader_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexReader.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_reader_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexSeparableFilter.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_separable_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexSeparableFilter.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_separable_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexSeparableKernel.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_separable_kernel_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexSeparableKernel.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_separable_kernel_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexTriangleFilter.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_triangle_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexTriangleFilter.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_triangle_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexTriangleKernel.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_triangle_kernel_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexTriangleKernel.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_triangle_kernel_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexUtils.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_utils_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexUtils.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_utils_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexWriter.cpp",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_writer_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/PtexWriter.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptex_writer_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/Ptexture.h",
"href":"cpp_ref/_ptex_importer_2ptex_2_ptexture_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/zlib/zconf.h",
"href":"cpp_ref/_ptex_importer_2ptex_2zlib_2zconf_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PtexImporter/ptex/zlib/zlib.h",
"href":"cpp_ref/_ptex_importer_2ptex_2zlib_2zlib_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SSE.h File Reference",
"href":"cpp_ref/_s_s_e_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SSE.h",
"href":"cpp_ref/_s_s_e_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: STLExport/STLExporter.cpp",
"href":"cpp_ref/_s_t_l_export_2_s_t_l_exporter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SampleViewportFilter/SampleViewportFilter.cpp",
"href":"cpp_ref/_sample_viewport_filter_2_sample_viewport_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SampleViewportFilter/SampleViewportFilter.h",
"href":"cpp_ref/_sample_viewport_filter_2_sample_viewport_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TextureConveyor/TextureConveyor.cpp",
"href":"cpp_ref/_texture_conveyor_2_texture_conveyor_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TextureConveyor/TextureConveyor.h",
"href":"cpp_ref/_texture_conveyor_2_texture_conveyor_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TextureSwapperViewportFilter/TextureSwapperViewportFilter.cpp",
"href":"cpp_ref/_texture_swapper_viewport_filter_2_texture_swapper_viewport_filter_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TextureSwapperViewportFilter/TextureSwapperViewportFilter.h",
"href":"cpp_ref/_texture_swapper_viewport_filter_2_texture_swapper_viewport_filter_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ToonMaterial/ToonMaterial.cpp",
"href":"cpp_ref/_toon_material_2_toon_material_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ToonMaterial/ToonMaterial.h",
"href":"cpp_ref/_toon_material_2_toon_material_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Turntable/Turntable.cpp",
"href":"cpp_ref/_turntable_2_turntable_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Turntable/Turntable.h",
"href":"cpp_ref/_turntable_2_turntable_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Turntable/TurntableDialog.cpp",
"href":"cpp_ref/_turntable_2_turntable_dialog_8cpp-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Turntable/TurntableDialog.h",
"href":"cpp_ref/_turntable_2_turntable_dialog_8h-example.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: UnitTest.h File Reference",
"href":"cpp_ref/_unit_test_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: UnitTest.h",
"href":"cpp_ref/_unit_test_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: array.h File Reference",
"href":"cpp_ref/array_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: array.h",
"href":"cpp_ref/array_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: brush.h File Reference",
"href":"cpp_ref/brush_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: brush.h",
"href":"cpp_ref/brush_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: brushmask.h File Reference",
"href":"cpp_ref/brushmask_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: brushmask.h",
"href":"cpp_ref/brushmask_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: camera.h File Reference",
"href":"cpp_ref/camera_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: camera.h",
"href":"cpp_ref/camera_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Action Class Reference",
"href":"cpp_ref/classmudbox_1_1_action.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AdjacentVertexEnumerator Class Reference",
"href":"cpp_ref/classmudbox_1_1_adjacent_vertex_enumerator.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Array< type > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_array.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeBoolCollection Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_bool_collection.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeCheckableFloat Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_checkable_float.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeCheckableFloatArray Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_checkable_float_array.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeCheckbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_checkbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeCheckboxCollection Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_checkbox_collection.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeColorbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_colorbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeCombobox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_combobox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeComboboxMap Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_combobox_map.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeCurveEditor Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_curve_editor.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeCurvePointer Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_curve_pointer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeEditbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_editbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeEnumeration Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_enumeration.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeEventbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_eventbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeFilename Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_filename.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeFilenamebox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_filenamebox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeFloatRange Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_float_range.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeImagebox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_imagebox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeLocale Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_locale.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeMirrorConfigurationWidget Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_mirror_configuration_widget.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeNumber Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_number.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributePointer< type > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_pointer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributePointerbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_pointerbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeSign Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_sign.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeSliderArrayWithCheckbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_slider_array_with_checkbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeSliderWithCheckbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_slider_with_checkbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeSliderbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_sliderbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeSpinbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_spinbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeStampConfigurationWidget Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_stamp_configuration_widget.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeTextureFilename Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_texture_filename.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeTextureFilenamebox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_texture_filenamebox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeThisPointer Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_this_pointer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeVector4box Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_vector4box.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeVectorbox Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_vectorbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeVoid Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_void.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeWatch Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_watch.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeWidget Class Reference",
"href":"cpp_ref/classmudbox_1_1_attribute_widget.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AxisAlignedBoundingBox Class Reference",
"href":"cpp_ref/classmudbox_1_1_axis_aligned_bounding_box.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Base Class Reference",
"href":"cpp_ref/classmudbox_1_1_base.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Block Class Reference",
"href":"cpp_ref/classmudbox_1_1_block.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: BrushConfiguration Class Reference",
"href":"cpp_ref/classmudbox_1_1_brush_configuration.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: BrushOperation Class Reference",
"href":"cpp_ref/classmudbox_1_1_brush_operation.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CPBox Class Reference",
"href":"cpp_ref/classmudbox_1_1_c_p_box.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Camera Class Reference",
"href":"cpp_ref/classmudbox_1_1_camera.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CheckableFloat Class Reference",
"href":"cpp_ref/classmudbox_1_1_checkable_float.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ClassDesc Class Reference",
"href":"cpp_ref/classmudbox_1_1_class_desc.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Color Class Reference",
"href":"cpp_ref/classmudbox_1_1_color.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ConvolutionKernel Class Reference",
"href":"cpp_ref/classmudbox_1_1_convolution_kernel.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CurveEditor Class Reference",
"href":"cpp_ref/classmudbox_1_1_curve_editor.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: DblVector Class Reference",
"href":"cpp_ref/classmudbox_1_1_dbl_vector.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: DeleteGeometryOperation Class Reference",
"href":"cpp_ref/classmudbox_1_1_delete_geometry_operation.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: DualQuaternion Class Reference",
"href":"cpp_ref/classmudbox_1_1_dual_quaternion.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: EnvironmentMap Class Reference",
"href":"cpp_ref/classmudbox_1_1_environment_map.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Error Class Reference",
"href":"cpp_ref/classmudbox_1_1_error.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: EventGate Class Reference",
"href":"cpp_ref/classmudbox_1_1_event_gate.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Exporter Class Reference",
"href":"cpp_ref/classmudbox_1_1_exporter.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FaceEnumerator Class Reference",
"href":"cpp_ref/classmudbox_1_1_face_enumerator.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FileEventNotifier Class Reference",
"href":"cpp_ref/classmudbox_1_1_file_event_notifier.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: FileExtension Class Reference",
"href":"cpp_ref/classmudbox_1_1_file_extension.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Geometry Class Reference",
"href":"cpp_ref/classmudbox_1_1_geometry.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: GroupNode Class Reference",
"href":"cpp_ref/classmudbox_1_1_group_node.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: HelpButton Class Reference",
"href":"cpp_ref/classmudbox_1_1_help_button.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Image Class Reference",
"href":"cpp_ref/classmudbox_1_1_image.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageAccessor< ChannelType, nch > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_image_accessor.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageAccessor< ChannelType, 1 > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_image_accessor_3_01_channel_type_00_011_01_4.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageAccessor< ChannelType, 2 > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_image_accessor_3_01_channel_type_00_012_01_4.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageAccessor< ChannelType, 3 > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_image_accessor_3_01_channel_type_00_013_01_4.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageAccessorBase< ChannelType, nch > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_image_accessor_base.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageDescriptor Class Reference",
"href":"cpp_ref/classmudbox_1_1_image_descriptor.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImageFilter Class Reference",
"href":"cpp_ref/classmudbox_1_1_image_filter.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImagePlaneInterface Class Reference",
"href":"cpp_ref/classmudbox_1_1_image_plane_interface.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImgLockPageIterator Class Reference",
"href":"cpp_ref/classmudbox_1_1_img_lock_page_iterator.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImgPageIterator Class Reference",
"href":"cpp_ref/classmudbox_1_1_img_page_iterator.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImgTile Class Reference",
"href":"cpp_ref/classmudbox_1_1_img_tile.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImgTile_AoutB_Iter Class Reference",
"href":"cpp_ref/classmudbox_1_1_img_tile___aout_b___iter.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ImgTileUnion Class Reference",
"href":"cpp_ref/classmudbox_1_1_img_tile_union.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Importer Class Reference",
"href":"cpp_ref/classmudbox_1_1_importer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Instance< c > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_instance.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Interface Class Reference",
"href":"cpp_ref/classmudbox_1_1_interface.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Kernel Class Reference",
"href":"cpp_ref/classmudbox_1_1_kernel.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: KeyboardEventNotifier Class Reference",
"href":"cpp_ref/classmudbox_1_1_keyboard_event_notifier.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Layer Class Reference",
"href":"cpp_ref/classmudbox_1_1_layer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: LayerContainer Class Reference",
"href":"cpp_ref/classmudbox_1_1_layer_container.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: LayerMeshData Class Reference",
"href":"cpp_ref/classmudbox_1_1_layer_mesh_data.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Light Class Reference",
"href":"cpp_ref/classmudbox_1_1_light.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Line Class Reference",
"href":"cpp_ref/classmudbox_1_1_line.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Material Class Reference",
"href":"cpp_ref/classmudbox_1_1_material.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Matrix Class Reference",
"href":"cpp_ref/classmudbox_1_1_matrix.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Mesh Class Reference",
"href":"cpp_ref/classmudbox_1_1_mesh.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshChange Class Reference",
"href":"cpp_ref/classmudbox_1_1_mesh_change.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshFreezer Class Reference",
"href":"cpp_ref/classmudbox_1_1_mesh_freezer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshGrid Class Reference",
"href":"cpp_ref/classmudbox_1_1_mesh_grid.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshRenderer Class Reference",
"href":"cpp_ref/classmudbox_1_1_mesh_renderer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshSelector Class Reference",
"href":"cpp_ref/classmudbox_1_1_mesh_selector.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshUnlocker Class Reference",
"href":"cpp_ref/classmudbox_1_1_mesh_unlocker.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MirrorComboBox Class Reference",
"href":"cpp_ref/classmudbox_1_1_mirror_combo_box.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: NURBSCurve Class Reference",
"href":"cpp_ref/classmudbox_1_1_n_u_r_b_s_curve.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: NURBSCurveEditor Class Reference",
"href":"cpp_ref/classmudbox_1_1_n_u_r_b_s_curve_editor.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Node Class Reference",
"href":"cpp_ref/classmudbox_1_1_node.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Operation Class Reference",
"href":"cpp_ref/classmudbox_1_1_operation.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PaintLayerExporter Class Reference",
"href":"cpp_ref/classmudbox_1_1_paint_layer_exporter.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PaintLayerImporter Class Reference",
"href":"cpp_ref/classmudbox_1_1_paint_layer_importer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Picker Class Reference",
"href":"cpp_ref/classmudbox_1_1_picker.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PixelDescriptor Class Reference",
"href":"cpp_ref/classmudbox_1_1_pixel_descriptor.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: PixelType< ChanType, NumChans > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_pixel_type.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences::Bool Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences_1_1_bool.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences::Color Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences_1_1_color.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences::Enum Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences_1_1_enum.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences::Float Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences_1_1_float.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences::Integer Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences_1_1_integer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences::String Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences_1_1_string.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Preferences::Vector Class Reference",
"href":"cpp_ref/classmudbox_1_1_preferences_1_1_vector.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Quaternion Class Reference",
"href":"cpp_ref/classmudbox_1_1_quaternion.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: RenderTarget Class Reference",
"href":"cpp_ref/classmudbox_1_1_render_target.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ReplaceGeometryOperation Class Reference",
"href":"cpp_ref/classmudbox_1_1_replace_geometry_operation.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Scene Class Reference",
"href":"cpp_ref/classmudbox_1_1_scene.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ScreenSpacePicker Class Reference",
"href":"cpp_ref/classmudbox_1_1_screen_space_picker.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SelectionSet Class Reference",
"href":"cpp_ref/classmudbox_1_1_selection_set.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Selector Class Reference",
"href":"cpp_ref/classmudbox_1_1_selector.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Statistics Class Reference",
"href":"cpp_ref/classmudbox_1_1_statistics.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Store< type > Class Template Reference",
"href":"cpp_ref/classmudbox_1_1_store.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Stream Class Reference",
"href":"cpp_ref/classmudbox_1_1_stream.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SubSpace Class Reference",
"href":"cpp_ref/classmudbox_1_1_sub_space.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SubdivisionLevel Class Reference",
"href":"cpp_ref/classmudbox_1_1_subdivision_level.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SurfaceSmoother Class Reference",
"href":"cpp_ref/classmudbox_1_1_surface_smoother.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TangentGenerator Class Reference",
"href":"cpp_ref/classmudbox_1_1_tangent_generator.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Texture Class Reference",
"href":"cpp_ref/classmudbox_1_1_texture.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TextureMixer Class Reference",
"href":"cpp_ref/classmudbox_1_1_texture_mixer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TexturePool Class Reference",
"href":"cpp_ref/classmudbox_1_1_texture_pool.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TextureTileArray Class Reference",
"href":"cpp_ref/classmudbox_1_1_texture_tile_array.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TextureUnprojector Class Reference",
"href":"cpp_ref/classmudbox_1_1_texture_unprojector.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Timer Class Reference",
"href":"cpp_ref/classmudbox_1_1_timer.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Topology Class Reference",
"href":"cpp_ref/classmudbox_1_1_topology.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TransferDetailOperation Class Reference",
"href":"cpp_ref/classmudbox_1_1_transfer_detail_operation.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Transformation Class Reference",
"href":"cpp_ref/classmudbox_1_1_transformation.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TransformationPalette Class Reference",
"href":"cpp_ref/classmudbox_1_1_transformation_palette.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TrayAccessor Class Reference",
"href":"cpp_ref/classmudbox_1_1_tray_accessor.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TreeNode Class Reference",
"href":"cpp_ref/classmudbox_1_1_tree_node.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: UnitTest Class Reference",
"href":"cpp_ref/classmudbox_1_1_unit_test.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Vector Class Reference",
"href":"cpp_ref/classmudbox_1_1_vector.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Vector4 Class Reference",
"href":"cpp_ref/classmudbox_1_1_vector4.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: VertexDataProvider Class Reference",
"href":"cpp_ref/classmudbox_1_1_vertex_data_provider.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: VertexEnumerator Class Reference",
"href":"cpp_ref/classmudbox_1_1_vertex_enumerator.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ViewPort Class Reference",
"href":"cpp_ref/classmudbox_1_1_view_port.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ViewPortFilter Class Reference",
"href":"cpp_ref/classmudbox_1_1_view_port_filter.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: WebBrowserPlugin Class Reference",
"href":"cpp_ref/classmudbox_1_1_web_browser_plugin.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: WindowPlugin Class Reference",
"href":"cpp_ref/classmudbox_1_1_window_plugin.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: XRef Class Reference",
"href":"cpp_ref/classmudbox_1_1_x_ref.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: float16Channel Class Reference",
"href":"cpp_ref/classmudbox_1_1float16_channel.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: float32Channel Class Reference",
"href":"cpp_ref/classmudbox_1_1float32_channel.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: half_ Class Reference",
"href":"cpp_ref/classmudbox_1_1half__.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: uInt16Channel Class Reference",
"href":"cpp_ref/classmudbox_1_1u_int16_channel.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: uInt8Channel Class Reference",
"href":"cpp_ref/classmudbox_1_1u_int8_channel.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: dllinterface.h File Reference",
"href":"cpp_ref/dllinterface_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: dllinterface.h",
"href":"cpp_ref/dllinterface_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: error.h File Reference",
"href":"cpp_ref/error_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: error.h",
"href":"cpp_ref/error_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Examples",
"href":"cpp_ref/examples.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: E:/p4_docserver/doctools/build/input/mudbox/examples.txt File Reference",
"href":"cpp_ref/examples_8txt.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: geometry.h File Reference",
"href":"cpp_ref/geometry_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: geometry.h",
"href":"cpp_ref/geometry_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Graph Legend",
"href":"cpp_ref/graph_legend.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: i18n.h File Reference",
"href":"cpp_ref/i18n_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: i18n.h",
"href":"cpp_ref/i18n_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: image.h File Reference",
"href":"cpp_ref/image_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: image.h",
"href":"cpp_ref/image_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: imagePlane.h File Reference",
"href":"cpp_ref/image_plane_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: imagePlane.h",
"href":"cpp_ref/image_plane_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: importexport.h File Reference",
"href":"cpp_ref/importexport_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: importexport.h",
"href":"cpp_ref/importexport_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Mudbox SDK Reference Documentation",
"href":"cpp_ref/index.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: interface.h File Reference",
"href":"cpp_ref/interface_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: interface.h",
"href":"cpp_ref/interface_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: kernel.h File Reference",
"href":"cpp_ref/kernel_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: kernel.h",
"href":"cpp_ref/kernel_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: layer.h File Reference",
"href":"cpp_ref/layer_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: layer.h",
"href":"cpp_ref/layer_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: light.h File Reference",
"href":"cpp_ref/light_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: light.h",
"href":"cpp_ref/light_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: E:/p4_docserver/doctools/build/input/mudbox/cpp_ref/mainpage.txt File Reference",
"href":"cpp_ref/mainpage_8txt.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: material.h File Reference",
"href":"cpp_ref/material_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: material.h",
"href":"cpp_ref/material_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: math.h File Reference",
"href":"cpp_ref/math_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: math.h",
"href":"cpp_ref/math_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: mesh.h File Reference",
"href":"cpp_ref/mesh_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: mesh.h",
"href":"cpp_ref/mesh_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: mudbox.h File Reference",
"href":"cpp_ref/mudbox_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: mudbox.h",
"href":"cpp_ref/mudbox_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: mudbox Namespace Reference",
"href":"cpp_ref/namespacemudbox.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: node.h File Reference",
"href":"cpp_ref/node_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: node.h",
"href":"cpp_ref/node_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: nurbs.h File Reference",
"href":"cpp_ref/nurbs_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: nurbs.h",
"href":"cpp_ref/nurbs_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: operation.h File Reference",
"href":"cpp_ref/operation_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: operation.h",
"href":"cpp_ref/operation_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: plugin.h File Reference",
"href":"cpp_ref/plugin_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: plugin.h",
"href":"cpp_ref/plugin_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: preferences.h File Reference",
"href":"cpp_ref/preferences_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: preferences.h",
"href":"cpp_ref/preferences_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: renderer.h File Reference",
"href":"cpp_ref/renderer_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: renderer.h",
"href":"cpp_ref/renderer_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: scene.h File Reference",
"href":"cpp_ref/scene_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: scene.h",
"href":"cpp_ref/scene_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: selectionset.h File Reference",
"href":"cpp_ref/selectionset_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: selectionset.h",
"href":"cpp_ref/selectionset_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: stream.h File Reference",
"href":"cpp_ref/stream_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: stream.h",
"href":"cpp_ref/stream_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: HWMatrix Struct Reference",
"href":"cpp_ref/struct_h_w_matrix.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: HWVector Struct Reference",
"href":"cpp_ref/struct_h_w_vector.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Attribute Struct Reference",
"href":"cpp_ref/structmudbox_1_1_attribute.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: AttributeInstance< type > Struct Template Reference",
"href":"cpp_ref/structmudbox_1_1_attribute_instance.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: BrushMask Struct Reference",
"href":"cpp_ref/structmudbox_1_1_brush_mask.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: BrushStamp Struct Reference",
"href":"cpp_ref/structmudbox_1_1_brush_stamp.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: BrushStencil Struct Reference",
"href":"cpp_ref/structmudbox_1_1_brush_stencil.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: CheckableFloatArray Struct Reference",
"href":"cpp_ref/structmudbox_1_1_checkable_float_array.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MeshChange::VertexChange Struct Reference",
"href":"cpp_ref/structmudbox_1_1_mesh_change_1_1_vertex_change.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: MirrorConfiguration Struct Reference",
"href":"cpp_ref/structmudbox_1_1_mirror_configuration.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: NURBSCurve::ChordLength Struct Reference",
"href":"cpp_ref/structmudbox_1_1_n_u_r_b_s_curve_1_1_chord_length.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Normal Struct Reference",
"href":"cpp_ref/structmudbox_1_1_normal.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Plugin Struct Reference",
"href":"cpp_ref/structmudbox_1_1_plugin.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Scene::LoadData Struct Reference",
"href":"cpp_ref/structmudbox_1_1_scene_1_1_load_data.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SelectionSet::MeshInfo Struct Reference",
"href":"cpp_ref/structmudbox_1_1_selection_set_1_1_mesh_info.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: StampConfiguration Struct Reference",
"href":"cpp_ref/structmudbox_1_1_stamp_configuration.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: SurfacePoint Struct Reference",
"href":"cpp_ref/structmudbox_1_1_surface_point.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: TC Struct Reference",
"href":"cpp_ref/structmudbox_1_1_t_c.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: Vertex Struct Reference",
"href":"cpp_ref/structmudbox_1_1_vertex.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: VertexDataProvider::ComponentDescription Struct Reference",
"href":"cpp_ref/structmudbox_1_1_vertex_data_provider_1_1_component_description.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: VertexDataProvider::DirtyVertex Struct Reference",
"href":"cpp_ref/structmudbox_1_1_vertex_data_provider_1_1_dirty_vertex.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: ViewPortState Struct Reference",
"href":"cpp_ref/structmudbox_1_1_view_port_state.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: subdivision.h File Reference",
"href":"cpp_ref/subdivision_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: subdivision.h",
"href":"cpp_ref/subdivision_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: topology.h File Reference",
"href":"cpp_ref/topology_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: topology.h",
"href":"cpp_ref/topology_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: transformation.h File Reference",
"href":"cpp_ref/transformation_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: transformation.h",
"href":"cpp_ref/transformation_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: tray.h File Reference",
"href":"cpp_ref/tray_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: tray.h",
"href":"cpp_ref/tray_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: treenode.h File Reference",
"href":"cpp_ref/treenode_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: treenode.h",
"href":"cpp_ref/treenode_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: viewport.h File Reference",
"href":"cpp_ref/viewport_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: viewport.h",
"href":"cpp_ref/viewport_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: widgets.h File Reference",
"href":"cpp_ref/widgets_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: widgets.h",
"href":"cpp_ref/widgets_8h_source.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: xref.h File Reference",
"href":"cpp_ref/xref_8h.html",
"description":"",
"ancestors":[]},
{"title":"C++ Reference: xref.h",
"href":"cpp_ref/xref_8h_source.html",
"description":"",
"ancestors":[]}]);
top.HlpSys.search.data.registerSearchProvider(searchResultProvider);